> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get insights of devices for an organization



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/devices/insights
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/devices/insights:
    get:
      tags:
        - Devices
      summary: Get insights of devices for an organization
      operationId: publicGetDeviceInsights
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: type
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/DevicePresetFieldUniqueName'
        - name: deviceTypes
          required: false
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DeviceType'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicDeviceInsightsResponseDto'
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    DevicePresetFieldUniqueName:
      type: string
      enum:
        - asset_number
        - subtype
        - model_name
        - status
        - serial_number
        - model_number
        - memory
        - hdd_ssd
        - cpu
        - os
        - size
        - manufacturer
        - supplier
        - procurement_method
        - purchase_date
        - purchase_cost
        - warranty_period
        - decommission_date
        - scheduled_return_date
        - location_1
        - location_2
        - assignment_start_date
        - assignment_end_date
        - fixed_asset
        - phone_number
        - sim_number
        - mobile_plan
        - hostname
        - version
        - keyboard_layout
        - usage_start_date
        - usage_end_date
        - last_activity_from_mdm
    DeviceType:
      type: string
      enum:
        - pc
        - phone
        - other
    PublicDeviceInsightsResponseDto:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        count:
          type: number
          readOnly: true
      required:
        - key
        - count
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````